Skip to content
Dashboard

Delete an article

DELETE/v2/help_center/articles/{id}

Deletes an existing article.

Path Parameters

  • id - The unique identifier of the article to delete

Response

Returns a deletion confirmation object:

  • id - The ID of the deleted article
  • object - Always “article”
  • deleted - Always true

Errors

  • 404 - Article not found in your organization’s help center
Path ParametersExpand Collapse
id: string

The article unique identifier

minLength1
maxLength16
Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-01-01.nova"
"2025-12-12.clover"
ReturnsExpand Collapse
id: string

Unique identifier of the deleted article

deleted: true

Indicates the resource was deleted

object: "article"

Object type identifier

Delete an article

curl https://do.featurebase.app/v2/help_center/articles/$ID \
    -X DELETE \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY"
{
  "id": "1234567",
  "deleted": true,
  "object": "article"
}
Returns Examples
{
  "id": "1234567",
  "deleted": true,
  "object": "article"
}